<template>
	<div>
		<BlockContentNav :content="contents" />
		<div>
			<a
				v-if="$route.path === '/accessibility-commitment'"
				:class="$style.a360BadgeWrapper"
				href="http://accessible360.com"
				target="_blank"
			>
				<BaseImage
					:image="{
						url: `/prismic-images/molekule/6b4b1413-d3fd-47e9-87e5-0837f1aaef70_Accessible360+Reviewed+By+Badge.png?auto=compress,format`,
						width: 160,
						height: 160,
						alt: 'Reviewed By Accessible360',
					}"
				/>
			</a>
			<LazyHydrate never>
				<div>
					<BlockContent v-for="(section, index) in contents" :key="index" :content="section.props" :index="index" />
				</div>
			</LazyHydrate>
		</div>
	</div>
</template>

<script>
import LazyHydrate from 'vue-lazy-hydration';
import BlockContentNav from '@components/block-content-nav';
import BlockContent from '@components/block-content';

export default {
	components: {
		LazyHydrate,
		BlockContentNav,
		BlockContent,
	},

	props: {
		contents: {
			type: Array,
			required: true,
		},
	},
};
</script>

<style lang="scss" module>
.a360BadgeWrapper {
	position: relative;
	z-index: 0;
	display: block;
	max-width: 14rem;
	margin: 1.5rem auto 2rem;
}
</style>
